Bug 1684531 - [RFE] Use the word 'Delete' instead of 'Remove' when deleting a content host in WebUI
Summary: [RFE] Use the word 'Delete' instead of 'Remove' when deleting a content host ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.4.2
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1684535 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 13:15 UTC by Jan Senkyrik
Modified: 2020-04-14 13:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27872 Low Closed [RFE] Use the word 'Delete' instead of 'Remove' when deleting a content host in WebUI 2020-02-12 09:11:24 UTC
Github Katello katello pull 8351 'None' closed Fixes #27872 - Use delete instead of remove on ch removal 2020-02-12 09:11:24 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:01 UTC

Description Jan Senkyrik 2019-03-01 13:15:29 UTC
Description of problem:
When doing 'Hosts --> Content Hosts --> choose some $host --> Select Action --> Remove Hosts --> Remove' whole system gets deleted not just the system entry in Satellite.

Therefore a customer behind this request would like to rephrase 'Remove' to 'Delete' as technically there's a difference between these two:

~~~
Delete and remove are defined quite similarly, but the main difference between them is that delete means erase (i.e. rendered nonexistent or nonrecoverable), while remove connotes take away and set aside (but kept in existence).
~~~

Another thing that could make people think that it's just system profile that's being deleted is that there's no warning indicating otherwise:

When removing a system from Hosts --> All Hosts:
"Are you sure you want to delete host system.example.com? This will delete the virtual machine and its disks, and is irreversible."

However when removing a system from Hosts --> Content Hosts it's just:
"Are you sure you want to remove the host(s) selected?"

I'll be opening a separate RFE for this.


Thanks,
Jan

Comment 3 Bryan Kearney 2019-03-07 19:11:26 UTC
*** Bug 1684535 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2020-04-14 13:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.